/**  
* <p>Title: AlipayCallbackController.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年4月22日  
* @version 1.0  
*/  
package cn.timer.api.callback.alipay;

import javax.transaction.Transactional;

import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import cn.timer.api.utils.Result;
import cn.timer.api.utils.ResultUtil;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;

/**  
* <p>Title: AlipayCallbackController.java</p>  
* <p>Description: 支付宝回调接口</p>  
* @author dsc  
* @date 2020年4月22日  
* @version 1.0  
*/

@RestController
@Transactional
@Api(tags = "99.99 支付宝回调接口")
@RequestMapping(value = "/callback/alipay", produces = { "application/json" })
public class AlipayCallBackController {
	
	@PostMapping(value = "/pro")
	@ApiOperation(value = "购买服务", httpMethod = "POST", notes = "接口发布说明")
	public Result<Object> alipaycallback_pro(@RequestBody String orderId) { // 入参修改 TODO

		// 验证微信回调信息 TODO
		
		// 交易成功
		
		// 修改订单表
		
		// 修改套餐余量表
		
		// 修改购买记录表
		
		return ResultUtil.data(orderId, "购买成功");

	}
	
	@PostMapping(value = "/test")
	@ApiOperation(value = "购买服务(test)", httpMethod = "POST", notes = "接口发布说明")
	public Result<Object> alipaycallback_test(@RequestBody String orderId) { // 入参修改 TODO

		// 验证微信回调信息 TODO
		
		// 交易成功
		
		// 修改订单表
		
		// 修改套餐余量表
		
		// 修改购买记录表
		
		return ResultUtil.data(orderId, "购买成功");

	}

}
