package cn.timer.api.config.annotation;

import java.io.Serializable;

import cn.timer.api.bean.qyzx.QyzxEmpLogin;
import cn.timer.api.config.swagger.IgnoreSwaggerParameter;
import cn.timer.api.dto.yggl.UserInfo;
import lombok.*;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class UserBean implements Serializable {

	private static final long serialVersionUID = -1141678314103123565L;

	@IgnoreSwaggerParameter
	private Integer empNum;

	@IgnoreSwaggerParameter
	private Integer orgCode;

	@IgnoreSwaggerParameter
	private QyzxEmpLogin qyzxEmpLogin;

	@IgnoreSwaggerParameter
	private String token;

	@IgnoreSwaggerParameter
	private String refreshToken;
	
	@IgnoreSwaggerParameter
	private UserInfo userInfo;
	

}
