package cn.timer.api.controller.disk.sevice;

import cn.timer.api.bean.disk.DiskCatalogue;
import cn.timer.api.dto.disk.DiskCatalogueParam;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/29
 */
public interface DiskCatalogueService {

    /**
     * 文件文件夹或共享空间列表
     * @param orgId
     * @param userId
     * @param type
     * @return
     */
    List<DiskCatalogue> getDiskCatalogueList(Integer orgId, Integer userId,Integer type);

    /**
     * 我的文件夹
     * @param diskCatalogueParam
     * @return
     */
    List<DiskCatalogue> getDiskCatalogue(DiskCatalogueParam diskCatalogueParam);

    /**
     * 获取所有子文件夹
     * @param ids
     * @return
     */
    List<DiskCatalogue> getSubCatalogueList(String ids,Integer userId);



    /**
     * 逻辑删除 文件夹，空间 ，中间关系以及文件
     * @param diskCatalogue
     * @return Boolean
     */
    boolean updateDiskCatalogue(DiskCatalogue diskCatalogue);
}
