package cn.timer.api.controller.qyzx.service;

import java.util.Date;

import cn.hutool.core.date.DateField;
import cn.hutool.core.date.DateUtil;
import cn.timer.api.bean.qyzx.businessService.QyzxRemainingQuantity;

public class RegisterHelper {

	public static void companyRegister(Integer orgCode,Integer empNum) {
		QyzxRemainingQuantity quantity = new QyzxRemainingQuantity();
		String orderNo = String.valueOf(System.currentTimeMillis()) + orgCode;// 时间毫秒数+orgCode
		Date expireDate = DateUtil.offset(new Date(), DateField.DAY_OF_YEAR, 365); // 时间偏移
		quantity.setOrderNo(orderNo); // 订单号
		quantity.setContent("注册赠送短信"); // 商品名称
		quantity.setExpireDate(expireDate); // 到期时间
		quantity.setSpecification(10); // 套餐规格
		quantity.setTotalNum(10); // 套餐总量
		quantity.setRemainder(10); // 套餐剩余数(同上)
		quantity.setCount(1); // 购买数量
		quantity.setPmid(1); // 付费模块id
		quantity.setPcid(16); // 付费内容id
		quantity.setUnit("条");
		quantity.setCreateUser(empNum);
		quantity.setOrgCode(orgCode);
		quantity.insert();
		
		
		
		
	}
	
}
