package cn.timer.api.dao.insure;

import cn.timer.api.bean.insure.InsureUser;
import cn.timer.api.bean.yggl.YgglMainEmp;
import cn.timer.api.dto.insure.PolicyDto;
import cn.timer.api.utils.Page;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 被保人
 *
 * @author wgd
 * @email 862422848@qq.com
 * @date 2022-03-11 09:06:53
 */
@Repository
public interface InsureUserMapper extends BaseMapper<InsureUser> {
    List<PolicyDto> selectPolicyList(@Param("policyDto") PolicyDto policyDto );
    Integer totalUser(@Param("policyDto") PolicyDto policyDto);
    List<InsureUser> selectListByIds(@Param("array")String[] ids);

}
