package cn.timer.api.dao.jxgl;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.jxgl.JxglPerformanceAppraisal;
import cn.timer.api.bean.spmk.SpmkApproveSummary;
import cn.timer.api.dto.jxgl.EmpAppraisalQuery;
import cn.timer.api.dto.jxgl.MyPerformance;
import cn.timer.api.dto.jxgl.PerformanceAppraisalQuery;

/**
*  绩效考核
* @author Tang 2020-05-26
*/
@Repository
public interface JxglPerformanceAppraisalMapper extends BaseMapper<JxglPerformanceAppraisal> {

	IPage<JxglPerformanceAppraisal> selectListByQuery(IPage<SpmkApproveSummary> page, @Param("param") PerformanceAppraisalQuery param);

	IPage<JxglPerformanceAppraisal> selectListEmpByQuery(IPage<JxglPerformanceAppraisal> page,@Param("param") EmpAppraisalQuery query);

	IPage<JxglPerformanceAppraisal> selectArchiveListByQuery(IPage<SpmkApproveSummary> page,@Param("param") 
			PerformanceAppraisalQuery query);

	IPage<JxglPerformanceAppraisal> selectMyByQuery(IPage<JxglPerformanceAppraisal> page,@Param("param") MyPerformance query);

	IPage<JxglPerformanceAppraisal> selectMyProcessedByQuery(IPage<JxglPerformanceAppraisal> page,@Param("param") MyPerformance query);

}
