package cn.timer.api.dao.kqmk;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.kqmk.KqglAssoLeaveBalance;
import cn.timer.api.dto.kqmk.AdditionalDto;
import cn.timer.api.dto.kqmk.AttqueryCriteriaDto;
import cn.timer.api.dto.kqmk.EmployeeLeaveBalanceDto;
import cn.timer.api.dto.kqmk.JiaqibalanceDto;

/**
 * 员工假期余额
 * 
 * @author LAL 2020-05-09
 */
@Repository
public interface KqglAssoLeaveBalanceMapper extends BaseMapper<KqglAssoLeaveBalance> {
	
	IPage<EmployeeLeaveBalanceDto> selectPageByQueryLeaveBalance(IPage<EmployeeLeaveBalanceDto> page,@Param("param") AttqueryCriteriaDto attquerycriteriadto);
	
	AdditionalDto selectAdditional(int orgcode,int empnum);
	
	List<AdditionalDto> selectAdditionalList(int orgcode);
	
//	JiaqibalanceDto selectleavebalanceList(int leaverulesid,int userid);
	
	Double Sumbalancedays(int userid,int orgcode,int leaverulesid);
	
	List<AdditionalDto> RealTimeUpdate(int orgcode,int kqzid);
	
	List<AdditionalDto> selectAdditionalByempnum(int orgcode,int empnum);
}
