package cn.timer.api.dao.kqmk;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.kqmk.KqglMainKqz;
import cn.timer.api.dto.kqmk.AttqueryCriteriaDto;
import cn.timer.api.dto.kqmk.KqglMainKqzDto;

/**
 * 考勤组
 * 
 * @author LAL 2020-05-09
 */
@Repository
public interface KqglMainKqzMapper extends BaseMapper<KqglMainKqz> {
	
	List<KqglMainKqzDto> selectAttGroupMachineByQyid(int qyid);
	
	KqglMainKqz getAttendanceGroupInformationByUserid(int userid,int qyid);
	
	
	IPage<KqglMainKqzDto> selectPageByQueryKqglMain(IPage<KqglMainKqzDto> page,@Param("param") AttqueryCriteriaDto attquerycriteriadto);
}
