package cn.timer.api.dao.sbgjj;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.sbgjj.SbgjjAdminCbry;
import cn.timer.api.bean.yggl.YgglMainEmp;
import cn.timer.api.dto.sbgjj.InspersonnelDto;
import cn.timer.api.dto.sbgjj.InsuredPersonnelDto;

/**
*  参保人员
* @author Tang 2019-12-09
*/
@Repository
public interface SbgjjAdminCbryMapper extends BaseMapper<SbgjjAdminCbry> {

	List<InsuredPersonnelDto> InsuredPersonnel(InspersonnelDto inspersonneldto);
	
	int insertsbgjjadmincbry(SbgjjAdminCbry sbgjjadmincbry);
	
	List<YgglMainEmp> EmployeeListByorgCode(int orgCode);
	
	
	IPage<InsuredPersonnelDto> InsuredEmployees(IPage<InsuredPersonnelDto> page,@Param("param") InspersonnelDto inspe);
	
}
