package cn.timer.api.dao.xcgl;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.xcgl.XcglAssoGsjsmx;
import cn.timer.api.dto.xcgl.SearchSalariedPeopleDto;
import cn.timer.api.dto.xcgl.XcglAssoGsjsmxDto;

/**
*  个税计算明细
* @author LAL 2020-10-09
*/
@Repository
public interface XcglAssoGsjsmxMapper extends BaseMapper<XcglAssoGsjsmx> {
	List<XcglAssoGsjsmxDto> SelectIndividualincomedetailsAll(@Param("param") SearchSalariedPeopleDto searchsalariedpeopledto);

	/**
	 * 分页统计总数
	 * @return
	 */
	Integer listPageCount(@Param("param") SearchSalariedPeopleDto searchsalariedpeopledto);
	/**
	 * 分页数据
	 * @return
	 */
	List<XcglAssoGsjsmxDto> listPage(@Param("param") SearchSalariedPeopleDto searchsalariedpeopledto);
	
	List<XcglAssoGsjsmx> Allyearround(String year,String usernum,Integer qyid);

}
