package cn.timer.api.dao.xcgl;
import java.util.List;

import cn.timer.api.dto.xcgl.PayslipSearchDto;
import cn.timer.api.dto.xcgl.SendpayslipBatchDto;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.xcgl.XcglAssoGztzt;
import cn.timer.api.dto.xcgl.PayslipDetailsDto;

/**
*  工资条组内成员状态
* @author lal 2019-12-12
*/
@Repository
public interface XcglAssoGztztMapper extends BaseMapper<XcglAssoGztzt> {

	int insertxcglassogztztList(List<XcglAssoGztzt> xcglassogztzt);
	
	int deletexcglassogztzt(int gztszid);
	
	List<PayslipDetailsDto> payslipSearch(PayslipSearchDto dto);
	
	int deletegztztByxzzid(int xzzid);

	/**
	 * 发送
	 * @param id
	 * @param fsType
	 */
	void payslipSend(Integer id, Integer fsType);

	/**
	 * 批量发送
	 * @param dto
	 */
	void payslipSendBatch(SendpayslipBatchDto dto);
}
