package cn.timer.api.dao.xcgl;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.xcgl.XcglAssoJsgzzx;
import cn.timer.api.dto.xcgl.CalculationOptionsDto;
import cn.timer.api.dto.xcgl.PayTermDto;

/**
*  计薪规则组项
* @author lal 2019-11-23
*/
@Repository
public interface XcglAssoJsgzzxMapper extends BaseMapper<XcglAssoJsgzzx> {

	int jsgzzxinsert(XcglAssoJsgzzx xcglassojsgzzx);
	
	int insertxcglassojsgzzxList(List<XcglAssoJsgzzx> xcglassojsgzzx);

	int jsgzzxupdate(XcglAssoJsgzzx xcglassojsgzzx);
	
	List<PayTermDto> selectxcglassojxgzList(Integer xzzid);
	
	int deleteByxzzid(int id);
	
	List<CalculationOptionsDto> selectCalculationOptionsList(int xzzid,int userid);
	
	List<XcglAssoJsgzzx> selectSalarySectionList(int xzzid);
	
	List<XcglAssoJsgzzx> SalaryRuleGroupItem(int xzzid);

	int insertxcglassojsgzzxListTwo(List<XcglAssoJsgzzx> xcglassojsgzzx);

	/**
	 * 删除薪资档案值的同时删除已添加到薪资组(未锁定的组)中的薪资项
	 * @param xzdazdyid
	 * @return
	 */
	int deleteByxzdazdyid(int xzdazdyid);
}
