package cn.timer.api.dao.xcgl;

import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.xcgl.XcglAssoXzdadx;

/**
 * @author lalqq 薪资档案-定薪
 */
@Repository
public interface XcglAssoXzdadxMapper extends BaseMapper<XcglAssoXzdadx> {
	int xzdadxinsert(XcglAssoXzdadx xcglassoxzdadx);
	
	int insertxcglassoxzdadxList(List<XcglAssoXzdadx> xcglassoxzdadx);

	/**
	 * 获取小于等于当前日期的未生效数据 yyyy-mm-dd
	 */
	List<XcglAssoXzdadx> listIneffective(@Param("curDate") String curDate);

	/**
	 * 获取使用中多于1条数据的记录
	 */
	List<XcglAssoXzdadx> listRepeatUsed();
}
