package cn.timer.api.dao.xcgl;
import java.util.List;

import cn.timer.api.dto.xcgl.*;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.xcgl.XcglAssoXzdazdy;


/**
*  薪资档案自定义
* @author lalqq 2019-11-19
*/
@Repository
public interface XcglAssoXzdazdyMapper extends BaseMapper<XcglAssoXzdazdy> {

	List<XcglAssoXzdazdy> selectxcglassoxzdazdy(int qyid);
	
	
	int insertxcglassoxzdazdyList(List<XcglAssoXzdazdy> xcglassoxzdazdy);

	int dazdyupdate(XcglAssoXzdazdy xcglassoxzdazdy);

	/**
	 * 查询定薪人员 分页
	 * @param search
	 * @return
	 */
	long selectFixedSalaryStaffCount(@Param("param")SearchSalariedPeopleDto search);
	List<FixedSalaryStaffDto> selectFixedSalaryStaff(@Param("param")SearchSalariedPeopleDto search);

	/**
	 * 查询定薪人员 不分页
	 * @param search
	 * @return
	 */
	List<FixedSalaryStaffDto> selectFixedSalaryStaffAll(@Param("param")SearchSalariedPeopleDto search);

	List<ChangeSalaryDto> AchieveSalaryAdjustment(Integer orgcode,Integer empnum);
	
	List<FixedSalaryStaffDto> SalaryAdjustmentRecord(Integer orgcode,Integer empnum);
	
	XcglAssoXzdazdy SalaryFixedWages(String zdmc);
	
	List<FixedSalaryStaffDto> selectPaygroupStaff(CheckSalaryStaffDto checksearch);
}
