package cn.timer.api.dao.zzgl;
import java.util.List;

import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.zzgl.ZzglMenu;
import cn.timer.api.dto.zzgl.ZzglMenuQueryDto;

/**
*  菜单权限表
* @author Tang 2020-05-22
*/
@Repository
public interface ZzglMenuMapper extends BaseMapper<ZzglMenu> {

	List<ZzglMenu> selectMenuByPostId(Integer id);

	List<ZzglMenu> queryList(@Param("obj") ZzglMenuQueryDto zzglMenuQueryDto);



}
