package cn.timer.api.dto.admin;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.io.Serializable;


@Data
@AllArgsConstructor
@NoArgsConstructor
public class AdminMsgTemplateDto extends Page implements Serializable {
    @ApiModelProperty(value="模板名称 ",example="模板名称")
    private String templateName;

    @ApiModelProperty(value="对应平台模板编号 ",example="对应平台模板编号")
    private String platformNum;

    @ApiModelProperty(value="平台类型  1 阿里云",example="101")
    private Integer platformType;

    @ApiModelProperty(value="类型 1 合同到期提醒, 2 证照到期提醒",example="101")
    private Integer msgType;

    @ApiModelProperty(value="状态 0 启用 1 停用",example="101")
    private Integer state;

    @ApiModelProperty(value="0 系统默认(公共模板),  1 企业定制",example="0")
    private Integer sysDefault;

    @ApiModelProperty(value="企业ID 企业ID",example="101")
    private Integer orgCode;
}
