/**  
* Title: CrmClientDataImportVo.java 
* Description: 
* @author dsc  
* @date 2020年6月12日  
* @version 1.0  
*/
package cn.timer.api.dto.crm;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * Title: CrmClientDataImportVo.java
 * 
 * @Description: 客户导入
 * @author dsc
 * @date 2020年6月12日
 * @version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class CrmClientDataImportVo implements Serializable {

	private static final long serialVersionUID = 3241644321635711815L;
	// 客户名
	private String clientName;
	// 组
	private String belongGroupName;
	// 行业
	private String industryName;
	// 客户类型
	private String clientTypeName;
	// 手机号
	private String clientCellphone;
	// 客户座机
	private String clientTelephone;
	// 客户官网
	private String clientUrl;
	// 邮箱
	private String clientEmail;
	// 详细地址
	private String address;

	//微信
	private String wechat;
	
	//产品
	private String product;
	
	// 联系人信息
	private String linkName;
	private String cellphone;
	private String company;
	private String gender;
	private String position;
	private String telephone;
	private String email;
	private String linkAddress;
	
	private String followuprecord;

}
