package cn.timer.api.dto.disk;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Data
public class FileInfoDto implements Serializable{
	
	private static final long serialVersionUID = -1230023773946170931L;

	/**
	 * 文件路径
	 */
	private String urlPath;

	/**
	 * 原来文件名称
	 */
	private String resourceFileName;

	/**
	 * 文件大小,单位KB
	 */
	private Long fileSize;

	/**
	 * 文件后缀
	 */
	private String fileSuffix;


	/**
	 * 文件文件全称
	 */
	private String fileName;

}
