package cn.timer.api.dto.kqmk;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq 打卡方式
 */

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
@ApiModel("打卡方式")
public class AttClockMethod implements Serializable{
	
	private static final long serialVersionUID = 1495564336178422116L;
	
	
	private String name;// 打卡名称
	
	private String mac;// wifi【wifi】
	
	private Integer attrange;// 范围【地址】
	
	private Integer type;// 类型（1：考勤机；2：地址；3：WIFI）
	
	private double longitude;// 经度【地址】
	
	private double latitude;// 纬度【地址】
}
