package cn.timer.api.dto.kqmk;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author 考勤加班审批
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttOvertimeApprovalDto {
	
	@ApiModelProperty(value = "加班id", example = "")
	private int overtimeid;
	
	@ApiModelProperty(value = "用户id", example = "")
	private int userid;
	
	@ApiModelProperty(value = "公司id", example = "")
	private int orgcode;
	
	@ApiModelProperty(value = "加班类型", example = "1：工作日加班；2：休息日加班；3：节假日加班")
	private int overtimetype;

	@ApiModelProperty(value = "开始时间", example = "时间戳")
	private long starttime;

	@ApiModelProperty(value = "结束时间", example = "时间戳")
	private long endtime;

	@ApiModelProperty(value = "时长", example = "")
	private double duration;

	@ApiModelProperty(value = "加班补偿方式", example = "1：转调休；2：转加班费；（3：转调休 4：加班费）")
	private int compensate;
}
