package cn.timer.api.dto.kqmk;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KqglAssoZhoupaibanDto {

	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "考勤组id 考勤组id", example = "101")
	private Integer kqzid;

	@ApiModelProperty(value = "类型（1：周一、2：周二、3：周三。。。。、8：周一到周日统一班次、9：排班制） 类型（1：周一、2：周二、3：周三。。。。、8：周一到周日统一班次、9：排班制）", example = "101")
	private Integer type;

	@ApiModelProperty(value = "班次id（0：自由工时   班次id【大于0为：固定排班和排班制】）", example = "101")
	private Integer bcid;

	private String bcname;
	private String sbdk1;
	private String xbdk1;
	private String sbdk2;
	private String xbdk2;
	private String sbdk3;
	private String xbdk3;
	private String weektime;

	private String wekmc;
}
