package cn.timer.api.dto.kqmk;


import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LeaveTypeDto {
	
	@ApiModelProperty(value = "假期记录id", example = "1", required = true)
	private Integer id;

	@ApiModelProperty(value = "假期名称", example = "事假、调休...")
	private String value;
	
	@ApiModelProperty(value = "假期单位", example = "1：按天请假；2：按半天；3：按小时")
	private String company;
}
