package cn.timer.api.dto.kqmk;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class StartTimeRestDto {
	@ApiModelProperty(value = "休息开始时间 ", example = "字段说明")
	String starttime;

	@ApiModelProperty(value = "休息结束时间 ", example = "字段说明")
	String endtime;
	
	@ApiModelProperty(value = "类型 1：工作日；2：休息日；3：节假日 ", example = "字段说明")
	Integer overtype;
}
