package cn.timer.api.dto.qyzx;

import java.util.List;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class QyzxOperLogQuaryDto extends Page{

	@ApiModelProperty(value = "标题/操作人员/编号", example = "1")
	private String query;
	
	@ApiModelProperty(value="企业id",example="101")
	private Integer orgCode;
	
	@ApiModelProperty(value="员工id",example="101")
	private List<Integer> empNums;
	
	@ApiModelProperty(value="业务类型（0其它 1新增 2修改 3删除）",example="101")
	private Integer businessType;
	
	@ApiModelProperty(value="操作类别（0其它 1后台用户 2手机端用户）",example="101")
	private Integer operatorType;
	
	@ApiModelProperty(value="请求方式",example="请求方式")
	private String requestMethod;
	
	@ApiModelProperty(value = "开始时间 ", example = "2000-10-10 10:10:10")
	private String startTime;
	
	@ApiModelProperty(value = "结束时间 ", example = "2020-10-10 10:10:10")
	private String endTime;
	
}
