package cn.timer.api.dto.spmk;

import java.io.Serializable;
import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FlowChildren implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	/**
	 * 节点类型 1.creator-发起 2.audit-审批 3.copy-抄送 4.rules-规则
	 */
	private String className;

	/**
	 * 执行
	 */
	private String execute;

	/**
	 * 通过
	 */
	private Boolean flow;

	/**
	 * 关系
	 */
	private List<Relation> relation;

}
