package cn.timer.api.dto.spmk;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import cn.hutool.json.JSONObject;
import cn.timer.api.bean.spmk.SpmkCustomApproval;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpmkApprovalGDto implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "编号 编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "企业组织代码 企业组织代码", example = "101")
	private Integer orgCode;

	@ApiModelProperty(value = "组名 ", example = "组名")
	private String name;

	@ApiModelProperty(value = "排序 排序", example = "101")
	private Integer ranks;

	@ApiModelProperty(value = "是否可编辑 0是 1否", example = "101")
	private Integer isEditable;

	private List<SpmkCustomApproval> spmkCustomApprovals;

}
