package cn.timer.api.dto.spmk;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.TableField;

import cn.timer.api.bean.spmk.SpmkApprovalTemplate;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpmkApprovalTemplateGDto implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "编号 编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "组名 ", example = "组名")
	private String name;

	@ApiModelProperty(value = "排序 排序", example = "101")
	private Integer ranks;

	@TableField(fill = FieldFill.INSERT_UPDATE)
	@ApiModelProperty(value = "编辑时间 ", example = "编辑时间")
	private Date updateTime;

	private List<SpmkApprovalTemplate> spmkApprovalTemplates;

}
