package cn.timer.api.dto.xcgl;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;
import java.util.Map;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class ImportDescriptionDto {
	/**
	 * 成功（包含新增和更新）
	 */
	int success = 0;
	/**
	 * 成功新增
	 */
	int toinsert = 0;
	/**
	 * 成功更新
	 */
	int toupdate = 0;
	/**
	 * 失败
	 */
	int failure = 0;
	/**
	 * 失败原因
	 */
	List<Map<String, String>> reasons;
}
