package cn.timer.api.dto.xcgl;

import java.io.Serializable;

import cn.timer.api.dto.xcgl.SpecialDeductionDto.SpecialDeductionDtoBuilder;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class IndividualTaxDetailsDto extends Page implements Serializable{
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value="用户手机号 ",example="用户手机号")
    private String phone;
	
	@ApiModelProperty(value="用户姓名 ",example="用户姓名")
    private String userName;
    
	@ApiModelProperty(value="薪资月 ",example="薪资月")
    private String salaryMonth;
    
	@ApiModelProperty(value="税款所属月份 ",example="税款所属月份")
    private String taxMonth;
    
	@ApiModelProperty(value="本月个税 ",example="本月个税")
    private String thmonthPersonal;
    
	@ApiModelProperty(value="累计子女教育 ",example="累计子女教育")
    private String cumZljy;
    
	@ApiModelProperty(value="累计住房贷款利息 ",example="累计住房贷款利息")
    private String cumZfdklx;
    
	@ApiModelProperty(value="累计住房租金 ",example="累计住房租金")
    private String cumZfzj;
    
	@ApiModelProperty(value="累计赡养老人 ",example="累计赡养老人")
    private String cumSylr;
    
	@ApiModelProperty(value="累计继续教育 ",example="累计继续教育")
    private String cumJxjy;
    
	@ApiModelProperty(value="累计专项附加扣除 ",example="累计专项附加扣除")
    private String cumZxfjkc;
    
	@ApiModelProperty(value="计税类型 ",example="计税类型")
    private String taxType;
    
	@ApiModelProperty(value="本期收入 ",example="本期收入")
    private String currentIncome;
    
	@ApiModelProperty(value="本期专项扣除 ",example="本期专项扣除")
    private String currentSpecialDeduction;
    
	@ApiModelProperty(value="累计收入额 ",example="累计收入额")
    private String cumSre;
    
	@ApiModelProperty(value="累计减除费用 ",example="累计减除费用")
    private String cumJcfy;
    
	@ApiModelProperty(value="累计专项扣除 ",example="累计专项扣除")
    private String cumZxkc;
    
	@ApiModelProperty(value="累计其他扣除 ",example="累计其他扣除")
    private String cumQtkc;
    
	@ApiModelProperty(value="累计应纳税所得额 ",example="累计应纳税所得额")
    private String cumYnssde;
    
	@ApiModelProperty(value="税率 ",example="税率")
    private String taxRate;
    
	@ApiModelProperty(value="速算扣除数 ",example="速算扣除数")
    private String quickCalculationDeduction;
    
	@ApiModelProperty(value="累计应纳税额 ",example="累计应纳税额")
    private String cumYnse;
    
	@ApiModelProperty(value="累计已预缴税额 ",example="累计已预缴税额")
    private String cumYyjse;
    
	@ApiModelProperty(value="累计应补（退）税额 ",example="累计应补（退）税额")
    private String cumYbtse;
    
}
