package cn.timer.api.dto.xcgl;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class PayslipSearchDto extends Page {

    @ApiModelProperty(value="姓名/工号 ",example="姓名/工号")
    String text;

    @ApiModelProperty(value="薪资组id ",example="薪资组id")
    Integer xzzid;

    @ApiModelProperty(value="工资条组id ",example="工资条组id")
    Integer gztszid;

    @ApiModelProperty(value="发送状态 ",example="发送状态")
    private Integer fsType;

    @ApiModelProperty(value="确认状态 ",example="确认状态")
    private Integer qrType;

    @ApiModelProperty(value="企业编号 ",example="企业编号")
    Integer orgcode;
}
