package cn.timer.api.dto.xcgl;

import java.io.Serializable;
import java.util.List;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq 搜索定薪人员
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SearchSalariedPeopleDto extends Page {

	private static final long serialVersionUID = 6251994337286870380L;
	
	@ApiModelProperty(value="员工状态列表 ",example="员工状态列表")
	List<Integer> status;
	
	@ApiModelProperty(value="姓名/工号 ",example="姓名/工号")
	String text;
	
	@ApiModelProperty(value="企业编号 ",example="企业编号")
	int orgcode;
	
	@ApiModelProperty(value="时间",example="2019-12")
	String datetime;
}
