package cn.timer.api.dto.yggl;

import java.util.Date;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LoginInfoDto {

	@ApiModelProperty(value = "员工id", example = "1")
	private Integer empNum;
	@ApiModelProperty(value = "员工姓名", example = "1")
	private String name;
	@ApiModelProperty(value = "部门id", example = "1")
	private Integer bmId;
	@ApiModelProperty(value = "部门名称", example = "1")
	private String bmName;
	@ApiModelProperty(value = "岗位id", example = "1")
	private Integer gwId;
	@ApiModelProperty(value = "岗位名称", example = "1")
	private String gwName;
	@ApiModelProperty(value = "入职日期", example = "1")
	private Date entryTime;
	@ApiModelProperty(value = "转正时间", example = "1")
	private Date regularTime;

}
