package cn.timer.api.dto.yggl;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author weng 2020-3-13
*/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class YgDrsDto {
	
	@ApiModelProperty(value="导入列表")
	List<YgDrjqbDto> drList;
	
	@ApiModelProperty(value="错误列表")
	List<YgDrjqbDto> errorList;
		
	@ApiModelProperty(value="组织机构代码")
	Integer orgCode;
	
}
