package cn.timer.api.dto.zzgl;

import java.io.Serializable;
import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ObtainDepartmentDto implements Serializable {

	private static final long serialVersionUID = 8644456442638650462L;

	@ApiModelProperty(value = "编号", example = "101")
	private Integer id;

	@ApiModelProperty(value = "名称 ", example = "名称")
	private String name;

	private List<DepartmentStaffDto> user;


}
