package cn.timer.api.utils;

/**
 * 分页查询工具类
 * 
 * @author Administrator
 *
 */

public class Page {
	
	/**
	 * 当前页
	 */
	private Integer currentPage;
	
	/**
	 * 每页总条数
	 */
	private Integer totalPage;

	/**
	 * 偏移
	 */
	private Integer offset;

	public Integer getCurrentPage() {
		return currentPage == null || currentPage <= 0 ? 1 : currentPage;
	}

	public void setCurrentPage(Integer currentPage) {

		this.currentPage = currentPage;
	}

	public Integer getTotalPage() {
		return totalPage == null || totalPage <= 0 ? 10 : totalPage;
	}

	public void setTotalPage(Integer totalPage) {
		this.totalPage = totalPage;
	}
	public Integer getOffset() {
		return this.getCurrentPage() > 0 ? (this.getCurrentPage() - 1) * this.getTotalPage() : 0;
	}

	public void setOffset(Integer offset) {
		this.offset = offset;
	}
}
