package cn.timer.api.utils.query;

import java.util.HashMap;
import java.util.Map;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;

import cn.timer.api.bean.yggl.YgglMainEmp;

public class QueryUtil {
	/**
	 * 查询当前系统名字与版本号
	 * @return
	 */
	public static Map<String, String> queryVersionName() {
		String a = System.getProperty("os.name");
		String b = System.getProperty("os.arch");
		String c = System.getProperty("os.version");
		Map<String, String> map = new HashMap<>();
		map.put("os.name", a);
		map.put("os.arch", b);
		map.put("os.version", c);
		return map;
	}

	/**
	 * 查询员工姓名
	 * @param empNum
	 * @return
	 */
	public static String queryEmpName(Integer empNum) {
		return YgglMainEmp.builder().build()
				.selectOne(new QueryWrapper<YgglMainEmp>().eq("emp_num", empNum)).getName();
	}
}
