package cn.timer.api.utils.router;

public class CompareFactory{

	public static Compare createCompare(String strA, String strB, String compare) {
		Compare comp = null;
		
		switch (compare) {
		case "<":
			comp = new LtCompare(strA,strB);
			break;
		case "<=":
			comp = new LtOREqualCompare(strA,strB);
			break;
		case "=":
			comp = new EqualCompare(strA,strB);
			break;
		case ">":
			comp = new GtCompare(strA,strB);
			break;
		case ">=":
			comp = new GtOREqualCompare(strA,strB);
			break;
		default :
			comp = new EqualCompare(strA,strB);
			break;
		}
		
		return comp;
		
	}
	
}
