package cn.timer.api.aspect.lang.annotation;

import java.lang.annotation.Documented;
import java.lang.annotation.ElementType;
import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;

import cn.timer.api.config.enums.HttpMethod;
import cn.timer.api.config.enums.SysRoleType;

/**
 * 自定义 角色 注解
 * 
 * @author Tang
 *
 */
@Target({ ElementType.METHOD })
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface Role {

	/**
     * 操作 类型
     */
    public HttpMethod httpMethod() default HttpMethod.POST;

    /**
     * 角色类型
     */
    public SysRoleType[] sysRoleType() default {SysRoleType.U_TYPE_ADMIN,SysRoleType.U_TYPE_C_ADMIN};

	
}
