package cn.timer.api.aspect.lang.enums;

/**
 * 业务操作类型
 * 
 * @author Tang
 */
public enum BusinessType
{
    /**
     * 其它
     */
    OTHER,

    /**
     * 新增
     */
    INSERT,

    /**
     * 修改
     */
    UPDATE,
    
    /**
     * 新增/修改
     */
    INSERT_UPDATE,
 
    /**
     * 删除
     */
    DELETE,

    /**
     * 授权
     */
    GRANT,

    /**
     * 导出
     */
    EXPORT,

    /**
     * 导入
     */
    IMPORT,

    /**
     * 强退
     */
    FORCE,

    /**
     * 生成代码
     */
    GENCODE,
    
    /**
     * 清空数据
     */
    CLEAN,
    
    /**
     * 发送验证码
     */
    SEND_CODE,
    
}
