package cn.timer.api.config.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;
/**
 * @title 短信模板
 * @author dsc
 *
 */

@Getter
@AllArgsConstructor
public enum PinType {

	AUTHENTICATION("SMS_178485364", "身份验证"),
	LOGIN_CONFIRMATION("SMS_178485363", "登录确认"),
	LOGIN_ABNORMAL("SMS_178485362", "登录异常"),
	REGISTER("SMS_178485361", "用户注册"),
	CHANGE_PASSWORD("SMS_178485360", "修改密码"),
	CHANGE_INFORMATION("SMS_178485359", "信息变更"),
	
//	REMIND("SMS_180347486", "短信提醒");
	REMIND("SMS_193517459", "短信提醒");
	

	private final String code;

	private final String message;
}
