package cn.timer.api.config.enums;

import lombok.Getter;

/**
 * 角色类型
 * @author Administrator
 *
 */
@Getter
public enum SysRoleType {

	/**
	 * 0 超管理员
	 */
	U_TYPE_ADMIN(0, "超管理员"),

	/**
	 * 1 子管理
	 */
	U_TYPE_C_ADMIN(1, "子管理"),

	/**
	 * 2 普通员工
	 */
	U_TYPE_EMP(2, "普通员工");

	private Integer type;

	private String desc;

	SysRoleType(Integer type, String desc) {
		this.type = type;
		this.desc = desc;
	}

	public Integer getType() {
		return this.type;
	}
	
	
}
