package cn.timer.api.controller.insure.enums;

import io.swagger.models.auth.In;
import lombok.Data;

/**
 * @Description TODO
 * @Author wgd
 * @Date 2022/3/24 17:20
 */
public enum InsuranceEnum {
    A_30(12,"30万意外/3万医疗/扩展24小时（A类）","A类"),
    A_50(15,"50万意外/5万医疗/扩展24小时（A类）","A类"),
    A_80(18,"80万意外/10万医疗/扩展24小时（A类）","A类"),
    A_80_20(25,"80万意外/20万医疗/扩展24小时（A类）","A类"),
    A_100(28,"100万意外/10万医疗/扩展24小时（A类）","A类"),
    B_30(18,"30万意外/3万医疗/扩展24小时（B类）","B类"),
    B_50(20,"50万意外/5万医疗/扩展24小时（B类）","B类"),
    B_80(35,"80万意外/10万医疗/扩展24小时（B类）","B类"),
    B_80_20(38,"80万意外/20万医疗/扩展24小时（B类）","B类"),
    B_100(40,"100万意外/10万医疗/扩展24小时（B类）","B类"),
    C_50(60,"50万意外/5万医疗/扩展24小时（C类）","C类"),
    C_80(75,"80万意外/10万医疗/扩展24小时（C类）","C类");
    private Integer price;
    private String name;
    private String type;

    InsuranceEnum(Integer price, String name,String type) {
        this.price = price;
        this.name = name;
        this.type=type;
    }

    public Integer getPrice() {
        return price;
    }

    public void setPrice(Integer price) {
        this.price = price;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public static InsuranceEnum getEnum(Integer value) {
        for(InsuranceEnum v : values())
            if(v.price==value) return v;
        throw new IllegalArgumentException();
    }

}
