package cn.timer.api.dao.disk;


import cn.timer.api.bean.disk.DiskCatalogue;
import cn.timer.api.dto.disk.DiskCatalogueParam;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import io.swagger.models.auth.In;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 云盘-资源目录表
 *
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021-12-27 10:05:49
 */
@Repository
public interface DiskCatalogueMapper extends BaseMapper<DiskCatalogue> {

    List<Integer> selectIdListById(@Param("id") Integer id);

    List<DiskCatalogue> getSubCatalogueList(@Param("ids") String ids,@Param("userId") Integer userId);
}
