package cn.timer.api.dao.kqgl;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.baomidou.mybatisplus.core.metadata.IPage;

import cn.timer.api.bean.kqgl.AttendanceDetails;
import cn.timer.api.bean.kqgl.PunchRecord;
import cn.timer.api.dto.kqmk.OriginalRecordDto;

public interface PunchRecordMapper {
    int deleteByPrimaryKey(Integer id);

    int insert(PunchRecord record);

    int insertSelective(PunchRecord record);

    PunchRecord selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(PunchRecord record);

    int updateByPrimaryKey(PunchRecord record);
    
    List<PunchRecord> selectOriginalAttendanceRecord(Integer qyid);
    
    List<PunchRecord> getDetailedRecordClock(Long start,Long end,Integer userId);
    
    PunchRecord selectPunchResults(Long start,Long end,Integer userId,Integer sort);
    
    List<PunchRecord> ViewAttendanceDetails(Long start,Long end,Integer userId);
    
    PunchRecord MaintenancePunchCard(Long start,Long end,Integer userId);
    
    List<PunchRecord> getMaintenancePunchCardList(Long start,Long end,Integer userId,Integer qyid);
    
    List<PunchRecord> selFuzzyOriginalAttendance(AttendanceDetails attendancedetails);
    
    
    
    IPage<PunchRecord> QueryOriginalRecord(IPage<PunchRecord> page,@Param("param") OriginalRecordDto originalrecorddto);
    
    List<PunchRecord> exportQueryOriginalRecord(@Param("param") OriginalRecordDto originalrecorddto);
    
    PunchRecord organizationalStructure(int id);
}