package cn.timer.api.dao.kqmk;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.kqmk.KqglAssoDkjl;
import cn.timer.api.dto.xcgl.HolidayInquiryDto;

/**
 * 打卡记录表
 * 
 * @author LAL 2020-05-11
 */
@Repository
public interface KqglAssoDkjlMapper extends BaseMapper<KqglAssoDkjl> {
	List<KqglAssoDkjl> getDetailedRecordClock(Long start,Long end,Integer userId,String attdate,Integer qyid);
	
	List<KqglAssoDkjl> LateleaveEarly(int qyid,int userid,String attdate);
	
	HolidayInquiryDto MinutesLateLeaveEarly(int qyid,int userid,int mark,String attdate);
	
	HolidayInquiryDto TimesBeingLateLeavingEarly(int qyid,int userid,int mark,String attdate);
}
