package cn.timer.api.dao.kqmk;

import java.util.List;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.kqmk.KqglAssoPbmx;
import cn.timer.api.dto.kqmk.AttSchedulingDto;
import cn.timer.api.dto.kqmk.KqglAssoPbmxDto;

/**
 * 排班明细表
 * 
 * @author LAL 2020-05-11
 */
@Repository
public interface KqglAssoPbmxMapper extends BaseMapper<KqglAssoPbmx> {

	KqglAssoPbmxDto getScheduleSpecificAttendance(Integer kqzid, Integer userid, String date);
	
	 int insertKqglAssoPbmxList(List<KqglAssoPbmxDto> kqglassopbmxdto);
	 
	 List<KqglAssoPbmxDto> selectAttGroupScheduling(AttSchedulingDto attschedulingdto);
}
