package cn.timer.api.dao.xcgl;
import java.util.List;

import org.springframework.stereotype.Repository;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import cn.timer.api.bean.xcgl.XcglAssoXzb;
import cn.timer.api.dto.xcgl.CalculationDto;
import cn.timer.api.dto.xcgl.CalculationValueDto;
import cn.timer.api.dto.xcgl.CheckSalaryStaffDto;
import cn.timer.api.dto.xcgl.HolidayInquiryDto;
import cn.timer.api.dto.xcgl.UserPersonnelDto;

/**
*  薪资表
* @author lal 2019-11-26
*/
@Repository
public interface XcglAssoXzbMapper extends BaseMapper<XcglAssoXzb> {

	int xzbinsert(XcglAssoXzb xcglassoxzb);
	
	int deleteByuserid(int userid,int xzzid,String xzyf);

	List<CalculationDto> CalculationResults(CheckSalaryStaffDto checksalary);
	
	int deleteByAttendance(int userid,int xzzid,String xzyf);
	
	List<CalculationDto> SimultaneousAttendance(int xzzid);
	
	int deleteXcglAssoXzb(int userid);
	
	CalculationValueDto lateearlyDeduction(int empnum,int xzzid,String salaryitem);
	
	int ModifyImportedSalary(XcglAssoXzb xcglassoxzb);

	void updateBatchXzxjg(List<XcglAssoXzb> list);
	
	
	HolidayInquiryDto HolidayamountNum(int orgcode,String apptime,int rules_type,int userid);
	
	HolidayInquiryDto Holidayamount(int orgcode,String apptime,int rules_type,int userid);
	
	HolidayInquiryDto NumberOvertime(int orgcode,String apptime,int userid);
	
	HolidayInquiryDto PeriodsOvertime(int orgcode,String apptime,int overtimetypeid,int userid);
	
	List<UserPersonnelDto> UserPersonnel(int xzzid,int orgcode);
	
	XcglAssoXzb PayInColumn(int xzxid,int userid,String xzyf);
}
