package cn.timer.api.dto.disk;

import cn.timer.api.config.exception.ValidationMsg;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;
import java.io.Serializable;

/**
 * @author wuqingjun
 * @email 284718418@qq.com
 * @date 2021/12/31
 */
@Data
public class DiskCloudDiskUserParam implements Serializable {

    private static final long serialVersionUID = -1230023773946170911L;
    /**
     * 资源目录表ID
     */
    @ApiModelProperty(value = "资源目录表ID")
    private Integer catalogueId;
    /**
     * 当前企业id
     */
    @ApiModelProperty(value = "当前企业id")
    private Integer orgId;
    /**
     * 用户ID
     */
    @ApiModelProperty(value = "用户ID")
    private Integer userId;
}
