package cn.timer.api.dto.kqmk;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author 考勤请假审批
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttLeaveApprovalDto {
	
	@ApiModelProperty(value = "请假id", example = "")
	private int leaveid;
	
	@ApiModelProperty(value = "用户id", example = "")
	private int userid;
	
	@ApiModelProperty(value = "公司id", example = "")
	private int orgcode;

	@ApiModelProperty(value = "请假类型", example = "具体传ID")
	private int leavetype;

	@ApiModelProperty(value = "开始时间", example = "时间戳")
	private long starttime;

	@ApiModelProperty(value = "结束时间", example = "时间戳")
	private long endtime;

	@ApiModelProperty(value = "时长", example = "")
	private double duration;
}
