package cn.timer.api.dto.kqmk;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author 考勤补卡审批
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttRepairApprovalDto {
	
	@ApiModelProperty(value = "补卡审批ID", example = "")
	private int repairid;
	
	@ApiModelProperty(value = "用户id", example = "")
	private int userid;
	
	@ApiModelProperty(value = "公司id", example = "")
	private int orgcode;

	@ApiModelProperty(value = "补卡时间", example = "时间戳")
	private long cardrepltime;

	@ApiModelProperty(value = "", example = "1：上午；2：下午")
	private int cardreplperiod;
}
