package cn.timer.api.dto.kqmk;

import java.io.Serializable;

import cn.timer.api.bean.kqmk.KqglAssoDkjl;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq 考勤班次
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttSchedule implements Serializable{
	
	private static final long serialVersionUID = 2301555360668389960L;
	
	private Integer id;
	private Integer sort;// 1:上班；2：下班； 3：上班；4:下班；5:上班；6:下班
	private Integer nextday;//0:否；1:是   （0：今日；1：次日；2：昨日）
	private Long time;
	private Long starttime;
	private Long endtime;
	
	private Integer calendar_status_type;//0:无；1：事假；2：调休；3：病假；4：年假；5：产假；6：陪产假；7：婚假；8：例假；9：丧假；10：哺乳假；11：加班；12：出差；13：外出
	
	private Integer calendar_status_name;
	
	private int isleave;//是否请假
	private int isupdate;//是否跟新打卡
	private int isdk;//0:当前打卡  1：已过打卡
	private KqglAssoDkjl dajl;
	
	private int nextdaycard;
}
