package cn.timer.api.dto.kqmk;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceAssistantDto implements Serializable{
	
	private static final long serialVersionUID = -3561517817976805144L;
	
	String name;// 考勤组名称 *
	String remarks;// 备注 *
	String[] attmachines;// 考勤机
	String[] attadds;// 办公地点考勤
	String[] attwifis;// WiFi考勤

	String[] attuserids;// 考勤成员
	int atttype;// 考勤类型：1-固定排班、2-排班制、3-自由工时 *
	int legalholidays;// 是否开启法定节假日：0-否、1-是 *

	String[] attWeekdays;// 周工作日【固定排班】
	String[] attWeekdaysShifts;// 周工作日班次【固定排班】
	String[] attMustPunchData;// 必须打卡的日期【固定排班】
	String[] attMustPunchShifid;// 必须打卡的班次id【固定排班】
	
//	String[] attNonPunchData;// 不用打卡的日期【固定排班】
	ResttryfixdayDto[] attNonPunchData;

	String[] attShifts;// 排班制 选择的班次【排班制】
	int attRemind;// 是否开启提醒：0-否、1-是【排班制】
	String[] attRemindUserids;// 提醒人员【排班制】
	int advanceDays;// 提前多少天数提醒【排班制】
	int remCycleDays;// 提醒循环天数【排班制】
	String reminderTime;// 提醒时间【排班制】
	String[] promptingMode;// 提醒方式：PC端、APP客户端、短信、邮件【排班制】

	KqglAssoPbmxDto[] schedules;// 排班日期【排班制】--班次id、日期
	// SchedulesUserids[] schedulesUserids;// 排班【排班制】----用户id
	int optscheduling;// 未排班时，员工可选择班次打卡

	String newAttTime;// 每天几点开始新的考勤【自由工时】
	String[] attFreeWorkdays;// 周工作日【自由工时】
	String leastworkTime;// 至少需工作时间【自由工时】
	String normalWorkTime;// 正常工作时长【自由工时】
	String maxOvertimeTime;// 加班最大时长【自由工时】

	String attgroupid;
	
	int overtimeRulesId;//加班id
	
	int fieldpersonnel;//外勤
	
	int restdayclock;//休息日打卡
}
