package cn.timer.api.dto.kqmk;

import java.io.Serializable;
import java.util.List;

import cn.timer.api.bean.kqmk.KqglAssoDkjl;
import cn.timer.api.bean.kqmk.KqglAssoDkjl.KqglAssoDkjlBuilder;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttendanceCardListDto implements Serializable {

	private static final long serialVersionUID = -5736914818628419342L;

	private List<AttSchedule> attsch;// 考勤班次
	private boolean attmachine;// 考勤机
	private boolean attaddress;// 考勤地址
	private boolean attwifi;// 考勤WIFI
	private List<AttClockMethod> machine;// 详细打卡方式
	private List<KqglAssoDkjl> attpr;// 打卡记录

//	private boolean optscheduling;// 未排班时，员工可选择班次打卡

	private boolean fieldpersonnel;// 外勤 true:开 false:关

	private Long stapclotime;// 自由排班开始时间
	private double canpunchworkdate;// 上班打卡后多久大下班卡

	private boolean noclockout;// 下班不用打卡
	private Integer allowlate;// 允许迟到分钟数
	private Integer seriouslate;// 严重迟到分钟数
	private Integer absenteeismlate;// 旷工迟到分钟数
	private boolean islatelate;// 晚走晚到
	private List<AttLateLate> attlat;// 晚走晚到时间

	private double latetime;// 前天晚走时长（分钟）
	private Long changed_time;// 根据班次规则计算出的  应晚到的打卡时间

//	private List<SystemShift> ssfh;// 无排班时获取的系统班次
	private Integer attgrouptype;// 1：固定排班；2：自由排班；3：自由工时
	
	private List<TransactionApprovalDto> tranappr;//事务审批单
}
