package cn.timer.api.dto.kqmk;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AttqueryCriteriaDto extends Page {
	private Integer orgCode;

	private Integer empNum;
	
	@ApiModelProperty(value = "关键字", example = "")
	private String query;
	
	@ApiModelProperty(value = "部门ID", example = "")
	private Integer deptid;
	
	private Integer turnover_status;
}
