package cn.timer.api.dto.kqmk;

import java.util.Date;
import java.util.List;


import org.springframework.format.annotation.DateTimeFormat;

import com.fasterxml.jackson.annotation.JsonFormat;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class KqglAssoPbmxDto {

	@ApiModelProperty(value = "id id", example = "101")
	private Integer id;

	@ApiModelProperty(value = "用户id 用户id", example = "101")
	private Integer userid;

	@ApiModelProperty(value = "日期 ", example = "日期")
	@DateTimeFormat(pattern = "yyyy-MM-dd")
	@JsonFormat(pattern = "yyyy-MM-dd")
	private Date data;

	@ApiModelProperty(value = "班次id 班次id", example = "101")
	private Integer bcid;

	@ApiModelProperty(value = "考勤组id 考勤组id", example = "101")
	private Integer kqzid;

	private String username;
	private String bcname;
	private String yemo;
	private String xsrq;

	private String sbdk1;
	private String sbqjks1;
	private String sbqjjs1;

	private String xbdk1;
	private String xbqjks1;
	private String xbqjjs1;

	private String sbdk2;
	private String sbqjks2;
	private String sbqjjs2;

	private String xbdk2;
	private String xbqjks2;
	private String xbqjjs2;

	private String sbdk3;
	private String sbqjks3;
	private String sbqjjs3;

	private String xbdk3;
	private String xbqjks3;
	private String xbqjjs3;

	private Integer isxbdk;
	private Integer sxbcs;

	private List<PunchRecord> attpr;// 打卡记录
}
