package cn.timer.api.dto.kqmk;

import java.io.Serializable;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @author lalqq
 *
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpecialDateDto implements Serializable {

	private static final long serialVersionUID = 465028562478360263L;

	private Integer id;
	private Integer kqzid;// 考勤组id
	private String tsrq;// 日期
	private Integer bcid;// 班次id
	private Long lusjTime;// 录入时间
	private Integer luryid;// 录入人员
	private Integer type;// 类型 1：必须打卡日期；2：不用打卡日期（扩展字段）

	private String bcname;
	private String sbdk1;
	private String xbdk1;
	private String sbdk2;
	private String xbdk2;
	private String sbdk3;
	private String xbdk3;

	public Integer getId() {
		return id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getKqzid() {
		return kqzid;
	}

	public void setKqzid(Integer kqzid) {
		this.kqzid = kqzid;
	}

	public String getTsrq() {
		return tsrq;
	}

	public void setTsrq(String tsrq) {
		this.tsrq = tsrq == null ? null : tsrq.trim();
	}

	public Integer getBcid() {
		return bcid;
	}

	public void setBcid(Integer bcid) {
		this.bcid = bcid;
	}

	public Long getLusjTime() {
		return lusjTime;
	}

	public void setLusjTime(Long lusjTime) {
		this.lusjTime = lusjTime;
	}

	public Integer getLuryid() {
		return luryid;
	}

	public void setLuryid(Integer luryid) {
		this.luryid = luryid;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getBcname() {
		return bcname;
	}

	public void setBcname(String bcname) {
		this.bcname = bcname;
	}

	public String getSbdk1() {
		return sbdk1;
	}

	public void setSbdk1(String sbdk1) {
		this.sbdk1 = sbdk1;
	}

	public String getXbdk1() {
		return xbdk1;
	}

	public void setXbdk1(String xbdk1) {
		this.xbdk1 = xbdk1;
	}

	public String getSbdk2() {
		return sbdk2;
	}

	public void setSbdk2(String sbdk2) {
		this.sbdk2 = sbdk2;
	}

	public String getXbdk2() {
		return xbdk2;
	}

	public void setXbdk2(String xbdk2) {
		this.xbdk2 = xbdk2;
	}

	public String getSbdk3() {
		return sbdk3;
	}

	public void setSbdk3(String sbdk3) {
		this.sbdk3 = sbdk3;
	}

	public String getXbdk3() {
		return xbdk3;
	}

	public void setXbdk3(String xbdk3) {
		this.xbdk3 = xbdk3;
	}

}