package cn.timer.api.dto.kqmk;

import java.util.List;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class WorkbenchCalendarDto {
	private String date;
	
	private Integer calendar_status;//日历状态 0：无；  1：正常；2：事务(请假，加班，调休，出差)；3：异常 4：休息
	
	private Integer calendar_status_type;//0:无；1：事假；2：调休；3：病假；4：年假；5：产假；6：陪产假；7：婚假；8：例假；9：丧假；10：哺乳假；11：加班；12：出差；13：外出
	
	private List<CalendarPunchDetailsDto> detailed;
}
