package cn.timer.api.dto.qyzx;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EntRegisterDto implements Serializable {

	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "手机号 ", example = "13129310893")
	private String phone;

	@ApiModelProperty(value = "密码", example = "123456")
	private String pw;

	@ApiModelProperty(value = "用户名", example = "用户名")
	private String username;

	@ApiModelProperty(value = "企业名称 ", example = "企业名称")
	private String name;

	@ApiModelProperty(value = "短信时间 ", example = "20191207")
	private String sendDate;

	@ApiModelProperty(value = "原密码", example = "666666")
	private String oldPwd;

	@ApiModelProperty(value = "验证码 ", example = "666666")
	private String code;

	@ApiModelProperty(value = "邮箱", example = "youxiang@qq.com")
	private String email;

	@ApiModelProperty(value = "1.验证码 2.消息推送 3通知提醒 ", example = "1")
	private Integer messageType;

	@ApiModelProperty(value = "短信模板：1.身份验证验证码 2.登录确认验证码  3.登录异常验证码  4.用户注册验证码 5.修改密码验证码  6.信息变更验证码 ", example = "1")
	private Integer tc;

	@ApiModelProperty(value = "1.原密码修改 2.验证码修改 ", example = "1")
	private Integer pwUpdateType;

}
