package cn.timer.api.dto.spmk;

import java.util.List;

import cn.hutool.json.JSONObject;
import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SummaryQueryDto extends Page{

	private Integer orgCode;
	
	@ApiModelProperty(value = "关键字 标题/审批人名称/审批总汇id", example = "请假")
	private String query;
	
	@ApiModelProperty(value = "部门id", example = "10")
	private Integer deptId;
	
	@ApiModelProperty(value = "状态 0审批中 1审批撤销  2审批通过/审批完成 3审批拒绝", example = "0")
	private Integer sts;
	
	@ApiModelProperty(value = "开始时间 ", example = "2000-10-10 10:10:10")
	private String startTime;
	
	@ApiModelProperty(value = "结束时间 ", example = "2020-10-10 10:10:10")
	private String endTime;
	
	private List<Integer> empNums;
	
}
