package cn.timer.api.dto.xcgl;

import java.io.Serializable;
import java.util.Date;

import com.alibaba.fastjson.annotation.JSONField;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class SpecialDeductionDto extends Page implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value = "时间", example = "1")
	private String date;
	
//	@JSONField(format="yyyy-MM") 
//	@ApiModelProperty(value="时间 ",example="时间")
//    private Date date;

	@ApiModelProperty(value = "姓名", example = "1")
	private String name;

	@ApiModelProperty(value = "电话号码", example = "1")
	private String phone;

	@ApiModelProperty(value = "子女教育", example = "1")
	private String zljy;

	@ApiModelProperty(value = "住房贷款利息", example = "1")
	private String zfdk;

	@ApiModelProperty(value = "住房租金", example = "86")
	private String zfzj;

	@ApiModelProperty(value = "赡养老人", example = "赡养老人")
	private String sylr;

	@ApiModelProperty(value = "继续教育", example = "A")
	private String jxjy;

//	@ApiModelProperty(value = "累计专项附加扣除", example = "A")
//	private String lj;
}
