package cn.timer.api.dto.xcgl;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@AllArgsConstructor
@NoArgsConstructor
public class XcglAssoGsjsmxDto implements Serializable{
	
	/**
	 * 
	 */
	private static final long serialVersionUID = 7019484399933503292L;
	
	@ApiModelProperty(value = "员工手机号", example = "员工手机号")
	private String phone;

	@ApiModelProperty(value = "用户id ", example = "用户id")
	private String userNum;

	@ApiModelProperty(value = "用户姓名 ", example = "用户姓名")
	private String userName;

	@ApiModelProperty(value = "薪资月 ", example = "薪资月")
	private String salaryMonth;

	@ApiModelProperty(value = "税款所属月份 ", example = "税款所属月份")
	private String taxMonth;

	@ApiModelProperty(value = "本月个税 ", example = "本月个税")
	private Double thmonthPersonal;

	@ApiModelProperty(value = "累计子女教育 ", example = "累计子女教育")
	private Double cumZljy;

	@ApiModelProperty(value = "累计住房贷款利息 ", example = "累计住房贷款利息")
	private Double cumZfdklx;

	@ApiModelProperty(value = "累计住房租金 ", example = "累计住房租金")
	private Double cumZfzj;

	@ApiModelProperty(value = "累计赡养老人 ", example = "累计赡养老人")
	private Double cumSylr;

	@ApiModelProperty(value = "累计继续教育 ", example = "累计继续教育")
	private Double cumJxjy;

	@ApiModelProperty(value = "累计专项附加扣除 ", example = "累计专项附加扣除")
	private Double cumZxfjkc;

	@ApiModelProperty(value = "计税类型 ", example = "计税类型")
	private String taxType;

	@ApiModelProperty(value = "本期收入 ", example = "本期收入")
	private Double currentIncome;

	@ApiModelProperty(value = "本期专项扣除 ", example = "本期专项扣除")
	private Double currentSpecialDeduction;

	@ApiModelProperty(value = "累计收入额 ", example = "累计收入额")
	private Double cumSre;

	@ApiModelProperty(value = "累计减除费用 ", example = "累计减除费用")
	private Double cumJcfy;

	@ApiModelProperty(value = "累计专项扣除 ", example = "累计专项扣除")
	private Double cumZxkc;

	@ApiModelProperty(value = "累计其他扣除 ", example = "累计其他扣除")
	private Double cumQtkc;

	@ApiModelProperty(value = "累计应纳税所得额 ", example = "累计应纳税所得额")
	private Double cumYnssde;

	@ApiModelProperty(value = "税率 ", example = "税率")
	private Double taxRate;

	@ApiModelProperty(value = "速算扣除数 ", example = "速算扣除数")
	private Double quickCalculationDeduction;

	@ApiModelProperty(value = "累计应纳税额 ", example = "累计应纳税额")
	private Double cumYnse;

	@ApiModelProperty(value = "累计已预缴税额 ", example = "累计已预缴税额")
	private Double cumYyjse;

	@ApiModelProperty(value = "累计应补（退）税额 ", example = "累计应补（退）税额")
	private Double cumYbtse;

	@ApiModelProperty(value = "企业id 企业id", example = "101")
	private Integer qyid;
}
