package cn.timer.api.dto.yggl;

import java.io.Serializable;
import java.util.List;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class EmpQuery extends Page implements Serializable{

	private static final long serialVersionUID = -1230023773946170942L;
	
	@ApiModelProperty(value="工作性质0全职、1实习生、2兼职、3劳务派遣、4劳务、5派遣、6外包、7退休返聘",example="0")
	private Integer jobType;
	
	@ApiModelProperty(value="部门id",example="10")
	private Integer bmgwid;
	
	@ApiModelProperty(value="员工状态0试用、1正式、2离职中、3已离职",example="0")
	private Integer jobStatus;
	
	@ApiModelProperty(value="手机号、姓名",example="1388888888 or 张三")
	private String query;
	
	@ApiModelProperty(value="企业id",example="0")
	private Integer orgCode;
	
	@ApiModelProperty(value = "员工id列表", example = "")
	private List<Integer> empNums;
	
	
}
