/**
 * @date 2020年4月26日  
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.yggl;

import java.io.Serializable;
import java.util.Date;

import cn.timer.api.dto.yggl.LzbDto.LzbDtoBuilder;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @date 2020年4月26日  
 * @author 翁东州
 * @方法中文名称:
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LoginerChargeDto implements Serializable{
	/**
	 * @date 2020年4月26日  
	 * @author 翁东州
	 * @方法中文名称:
	 */
	private static final long serialVersionUID = 1L;

	@ApiModelProperty(value="主管empNum",example="9688")
	private Integer leaderEmpNum;
	
	@ApiModelProperty(value="主管名称",example="李大力")
	private String charge;
	
	@ApiModelProperty(value="头像url",example="李大力")
	private String headUrl;
}
