package cn.timer.api.dto.yggl;

import java.util.Date;

import javax.persistence.Transient;

import com.baomidou.mybatisplus.annotation.TableField;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
* @author weng 2020-3-13
*/

@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class YgDrjqbDto {
	
	@ApiModelProperty(value="编号",example="1")
    private Integer id;
    
	@ApiModelProperty(value="公司内部工号 ",example="公司内部工号")
    private String ygnbgh;
    
	@ApiModelProperty(value="姓名 ",example="姓名")
    private String name;
	
	@ApiModelProperty(value="手机号码 ",example="12345678901")
    private String phone;
	
	@ApiModelProperty(value="性别 ",example="男")
    private String sex;
	
	@ApiModelProperty(value="证件号码 ",example="123456789012345678")
    private String zj;
	
	@ApiModelProperty(value="一级部门 ",example="一级部门")
    private String oneb;
	
	@ApiModelProperty(value="二级部门 ",example="二级部门 ")
    private String twob;
	
	@ApiModelProperty(value="三级部门  ",example="三级部门 ")
    private String threeb;
	
	@ApiModelProperty(value="四级部门  ",example="四级部门 ")
    private String fourb;
	
	@ApiModelProperty(value="岗位 ",example="岗位")
    private String gw;
	
	@ApiModelProperty(value="工作性质 ",example="1")
    private String jobType;
	
	@ApiModelProperty(value="员工状态 ",example="1")
    private String jobStatus;
	
	@ApiModelProperty(value="入职日期 ",example="2020-3-12 10:10:10")
    private String rzTime;
	
	@ApiModelProperty(value="试用期 ",example="试用期")
    private String syq;
	
	@ApiModelProperty(value="专业 ",example="专业")
    private String zy;
	
	@ApiModelProperty(value="工作地点 ",example="工作地点")
    private String address;
	
	@ApiModelProperty(value="户籍地址 ",example="户籍地址")
    private String hkAddress;
	
	@ApiModelProperty(value="QQ ",example="123456789")
    private String qq;
	
	@ApiModelProperty(value="微信 ",example="weixin123456789")
    private String weixin;
	
	@ApiModelProperty(value="个人邮箱 ",example="个人邮箱")
    private String email;
	
	@Transient
	@TableField(exist = false)//籍贯
    private Integer jg;
	
	@Transient
	@TableField(exist = false)//生日
    private Date birthday;
    
    @ApiModelProperty(value="错误信息",example="错误信息")
    private String error;
    
    @ApiModelProperty(value="有部门id了！",example="0")
    private Integer havebmid;
}
