package cn.timer.api.dto.zcgl;

import java.io.Serializable;
import java.util.Date;

import cn.timer.api.utils.Page;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ZcglPersonalAssetsDto extends Page implements Serializable {

	private static final long serialVersionUID = -4149375476562378789L;

	@ApiModelProperty(value = "资产id", example = "1")
	private String zcid;

	@ApiModelProperty(value = "个人资产编号", example = "1")
	private String bh;

	@ApiModelProperty(value = "资产类别", example = "1")
	private String lb;

	@ApiModelProperty(value = "规格型号", example = "1")
	private String xh;

	@ApiModelProperty(value = "领用数量", example = "1")
	private Integer sl;

	@ApiModelProperty(value = "存放点", example = "1")
	private String cfd;

	@ApiModelProperty(value = "计量单位", example = "$")
	private String dw;

	@ApiModelProperty(value = "金额", example = "1")
	private Double je;

	@ApiModelProperty(value = "归还日期", example = "2019-12-10")
	private Date ghrq;

//	@ApiModelProperty(value="领用后存放地点",example="仓库")
//	private String dd;

	@ApiModelProperty(value = "领用日期", example = "2019-12-9")
	private Date lyrq;

	@ApiModelProperty(value = "资产名称", example = "桌子")
	private String zcmc;

//	@ApiModelProperty(value = "查询条件", example = "名称 或 规格型号")
//	private String query;
//
//	@ApiModelProperty(value = "查询开始时间", example = "")
//	private Date startTime;
//
//	@ApiModelProperty(value = "查询结束时间", example = "")
//	private Date endTime;

}
