/**
 * @date 2019年11月26日  
 * @author 翁东州
 * @方法中文名称:
 */
package cn.timer.api.dto.zzgl;

import java.io.Serializable;
import java.util.Date;

import com.baomidou.mybatisplus.extension.activerecord.Model;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class LogDgjlsDto extends Model<LogDgjlsDto> implements Serializable{

	private static final long serialVersionUID = -8415116674889220097L;

	@ApiModelProperty(value = "姓名 姓名", example = "101")
	private String name;

	@ApiModelProperty(value = "原岗位 原岗位", example = "101")
	private String obmgw;

	@ApiModelProperty(value = "调岗后岗位 调岗后岗位", example = "101")
	private String nbmgw;
	
	@ApiModelProperty(value = "工号 工号", example = "101")
	private Integer empNum;
	
	@ApiModelProperty(value = "操作人 操作人", example = "101")
	private String updateMen;

	@ApiModelProperty(value = "记录时间 记录时间", example = "记录时间")
	private Date createTime;
	
	@ApiModelProperty(value = "说明 说明", example = "新增调岗，删除调岗，调岗")
	private String comment;
}
