package cn.timer.api.utils;


import java.io.Serializable;

import org.springframework.stereotype.Service;

import lombok.Data;

/**
 * @author Tang
 * 前后端交互数据标准
 */
@Service("result")
@Data
public class Result<T> implements Serializable{

    private static final long serialVersionUID = 1L;

    /**
     * 成功标志
     */
    private boolean result;

    /**
     * 失败消息
     */
    private String message;

    /**
     * 返回代码
     */
    private String code;

    /**
     * 时间戳
     */
    private long timestamp = System.currentTimeMillis();

    /**
     * 结果对象
     */
    private T data;
    
    /**
     * 结果对象
     */
    private T other;
    
    /**
     * 分页
     */
    private Long Current;
    /**
     * 分页
     */
    private Long Pages;
    /**
     * 分页
     */
    private Long Total;
    /**
     * 分页
     */
    private Long Size;
    
    
}
