/**  
* <p>Title: BaseQuery.java</p>  
* <p>Description: </p>  
* @author dsc  
* @date 2020年4月23日  
* @version 1.0  
*/
package cn.timer.api.utils.query;

import java.io.Serializable;

import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * <p>
 * Title: BaseQuery.java
 * </p>
 * <p>
 * Description:
 * </p>
 * 
 * @author dsc
 * @date 2020年4月23日
 * @version 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BaseQuery implements Serializable{
	
	private static final long serialVersionUID = -2244756601623536423L;
	// 当前页
	@ApiModelProperty(value="当前页",example="1",required = false)
	private Integer pageNum;
	// 当前页总条数
	@ApiModelProperty(value="模块id",example="10",required = false)
	private Integer pageSize;
	// 模糊查询
	@ApiModelProperty(value="模糊查询",example="",required = false)
	private String query;
	// 开始时间
	@ApiModelProperty(value="开始时间",example="",required = false)
	private String stime;
	// 结束时间
	@ApiModelProperty(value="结束时间",example="",required = false)
	private String etime;
}
